Bug report #10045

Updated by Paolo Cavallini over 3 years ago

Upon upgrading Processing, we get an error. However, restarting QGIS seems to cure it.



According to Alex Bruy, it is possible that plugin manager can't correctly reload plugin after upgrade.



===

Impossibile caricare il plugin 'processing' da

['/usr/share/qgis/python/plugins/processing', '/usr/share/qgis/python',

'/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python',

'/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python/plugins',

'/usr/share/qgis/python/plugins', '/usr/lib/python2.7',

'/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk',

'/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload',

'/usr/local/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages/PILcompat',

'/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0',

'/usr/lib/pymodules/python2.7',

'/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode',

'/usr/share/qgis/python/plugins/fTools/tools']



Traceback (most recent call last):

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 182, in

loadPlugin

__import__(packageName)

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python/plugins/processing/__init__.py",

line 29, in

from processing.tools.general import *

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python/plugins/processing/tools/general.py",

line 29, in

from processing.core.Processing import Processing

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File "/usr/share/qgis/python/plugins/processing/core/Processing.py",

line 45, in

from processing.modeler.ModelerAlgorithmProvider import \\

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithmProvider.py",

line 39, in

from processing.modeler.EditModelAction import EditModelAction

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/usr/share/qgis/python/plugins/processing/modeler/EditModelAction.py",

line 30, in

from processing.modeler.ModelerDialog import ModelerDialog

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py",

line 35, in

from processing.gui.ParametersDialog import ParametersDialog

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python/plugins/processing/gui/ParametersDialog.py",

line 29, in

from processing.gui.ParametersPanel import ParametersPanel

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

File

"/home/paolo/Desktop/qgis_analisi_pontedera/qgis2/python/plugins/processing/gui/ParametersPanel.py",

line 65, in

from processing.parameters.ParameterMultipleExternalInput import

ParameterMultipleExternalInput

File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 453, in

_import

mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named ParameterMultipleExternalInput



Back